Package org.apache.activemq.artemis.selector.hyphenated

## Class HyphenatedParserTokenManager

- java.lang.Object
- - org.apache.activemq.artemis.selector.hyphenated.HyphenatedParserTokenManager

- All Implemented Interfaces:
    `HyphenatedParserConstants`

      public class HyphenatedParserTokenManager
      extends java.lang.Object
      implements HyphenatedParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected char` | `curChar` |
    `java.io.PrintStream` | `debugStream` | Debug output.
    `protected SimpleCharStream` | `input_stream` |
    `static java.lang.String[]` | `jjstrLiteralImages` | Token literal values.
    `static java.lang.String[]` | `lexStateNames` | Lexer state names.

    - ### Fields inherited from interface org.apache.activemq.artemis.selector.hyphenated.HyphenatedParserConstants

      `AND, BETWEEN, BLOCK_COMMENT, DECIMAL_LITERAL, DEFAULT, EOF, ESCAPE, EXPONENT, FALSE, FLOATING_POINT_LITERAL, HEX_LITERAL, ID, IN, IS, LIKE, LINE_COMMENT, NOT, NULL, OCTAL_LITERAL, OR, STRING_LITERAL, tokenImage, TRUE, XPATH, XQUERY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HyphenatedParserTokenManager​(SimpleCharStream stream)` | Constructor.
    `HyphenatedParserTokenManager​(SimpleCharStream stream, int lexState)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Token` | `getNextToken()` | Get the next Token.
    `protected Token` | `jjFillToken()` |
    `void` | `ReInit​(SimpleCharStream stream)` | Reinitialise parser.
    `void` | `ReInit​(SimpleCharStream stream, int lexState)` | Reinitialise parser.
    `void` | `setDebugStream​(java.io.PrintStream ds)` | Set debug output.
    `void` | `SwitchTo​(int lexState)` | Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public java.io.PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final java.lang.String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final java.lang.String[] lexStateNames

      Lexer state names.

    - #### input_stream

          protected SimpleCharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### HyphenatedParserTokenManager

          public HyphenatedParserTokenManager​(SimpleCharStream stream)

      Constructor.

    - #### HyphenatedParserTokenManager

          public HyphenatedParserTokenManager​(SimpleCharStream stream,
                                              int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream​(java.io.PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit​(SimpleCharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit​(SimpleCharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo​(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.